メインコンテンツへスキップ
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
traders
/
{tag}
トークン - トレーダー取得
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/traders/{tag} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "address": "MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2",
      "blockTimestamp": "2025-01-15T10:30:00.000Z",
      "onchainCreatedAt": "2025-01-15T10:30:00.000Z",
      "percentileRankTradeAmountInUsd": "0.98",
      "percentileRankTradeCount": 95,
      "rankTradeAmountInUsd": "0.95",
      "tradeAmountInNative": "1500.50",
      "tradeAmountInUsd": "45000.00",
      "tradeCount": 42,
      "transactionSignature": "5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz..."
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
tokenAddress
string
必須

トークンのアドレス

tag
enum<string>
必須

トークントレーダータグ(fresh, sandwish, bundle, sniper, dev, pro, insider) Token trader tag

利用可能なオプション:
fresh,
sandwish,
bundle,
sniper,
dev,
pro,
insider,
kol,
bluechip,
smart

クエリパラメータ

cursor
string

ページネーションカーソル

limit
integer<int64>
デフォルト:20

ページあたりの結果数

direction
enum<string>
デフォルト:next

ページネーション方向(next または prev) Pagination direction

利用可能なオプション:
next,
prev

レスポンス

200 - application/json

トークントレーダーを取得

Generic pagination response

data
object[]
必須

Page data

endCursor
string | null

Cursor for the end of current page

:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

:

false

hasPrev
boolean

Whether there is a previous page

:

false

startCursor
string | null

Cursor for the start of current page

:

"eyJpZCI6InN0YXJ0In0="